Copy a file
Regional
us.api.brault.app— follows the region selector in the top barGive exactly one of library_id, folder_id, to_root.
Authorization
apiKey AuthorizationBearer <token>
API key from Settings → Developers
In: header
Path Parameters
fileId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/files/string/copy" \ -H "Content-Type: application/json" \ -d '{}'{ "object": "file", "id": "string", "kind": "image", "name": "string", "extension": "string", "mime": "string", "size": 0, "status": "processing", "library_id": "string", "folder_id": "string", "external_url": "string", "duration_ms": 0, "resolution": "1920x1080", "created_at": "2019-08-24T14:15:22Z", "created_by_id": "string", "trashed_at": "2019-08-24T14:15:22Z", "thumbnail_url": "string", "version": { "count": 0, "active_number": 0, "active_id": "string" }, "updated_at": "2019-08-24T14:15:22Z", "tags": [ "string" ], "published": true, "renditions": { "thumbnail_url": "string", "preview_url": "string", "frames_url": "string", "scrub_url": "string" }, "properties": [ { "property_id": "string", "type": "status", "status": { "option_id": "string" }, "person": { "user_id": "string" }, "date": { "start": "2019-08-24T14:15:22Z" }, "checkbox": true, "text": "string", "multi_tag": [ { "option_id": "string" } ], "tag": [ { "option_id": "string" } ] } ]}